--- /dev/null
+# ~/.config/git/config
+
+[github]
+ user = jannikz
+[alias]
+ a = add
+ una = reset HEAD --
+ uha = checkout HEAD --
+ aa = add -u
+ unaa = reset HEAD
+ uhaa = reset --hard HEAD
+ br = branch
+ brdm = "!git branch --merged | grep -v '\\*' | xargs -n 1 git branch -d"
+ co = checkout
+ go = "!f() { git checkout -b \"$1\" 2> /dev/null || git checkout \"$1\"; }; f"
+ ci = commit -v
+ unci = reset --soft HEAD~
+ amend = commit --amend
+ diff = diff --word-diff
+ dt = difftool
+ mt = mergetool
+ # dont pull without rebase, and dont push without pull (fetch & merge)
+ pu = pull --rebase
+ pp = "!git pull --rebase && git push"
+ # avoid merge commits
+ mf = merge --ff-only
+ cp = cherry-pick
+ wc = whatchanged -p
+ ch = cherry -v
+ st = status -sb
+ fs = "!git fetch && git status"
+ rb = rebase
+ ready = rebase -i @{u}
+ rbi = "!r() { git rebase -i HEAD~$1; }; r"
+ ec = config --global -e
+ l = log --oneline --decorate --reverse
+ lg = log --pretty=format:"%C(yellow)%h\\ %C(green)%ad%Cred%d\\ %Creset%s%Cblue\\ [%cn]" --decorate --date=short --graph
+ tail = !"git lg -10 HEAD"
+ last = log -1 HEAD
+ ls = ls-files
+ lt = tag -l
+ type = cat-file -t
+ dump = cat-file -p
+ who = shortlog -s --
+ remotes = remote -v
+ root = rev-parse --show-toplevel
+ cl = clone --recursive
+
+ # Show the diff between the latest commit and the current state
+ d = !"git diff-index --quiet HEAD -- || clear; git --no-pager diff --patch-with-stat"
+ # `git di $number` shows the diff between the state `$number` revisions ago and the current state
+ di = !"d() { git diff --patch-with-stat HEAD~$1; }; git diff-index --quiet HEAD -- || clear; d"
+
+ # Find branches containing commit
+ fb = "!f() { git branch -a --contains $1; }; f"
+ # Find tags containing commit
+ ft = "!f() { git describe --always --contains $1; }; f"
+ # Find commits by source code
+ fc = "!f() { git log --pretty=format:'%C(yellow)%h %Cblue%ad %Creset%s%Cgreen [%cn] %Cred%d' --decorate --date=short -S$1; }; f"
+ # Find commits by commit message
+ fm = "!f() { git log --pretty=format:'%C(yellow)%h %Cblue%ad %Creset%s%Cgreen [%cn] %Cred%d' --decorate --date=short --grep=$1; }; f"
+
+# Credit an author on the latest commit
+ credit = "!f() { git commit --amend --author \"$1 <$2>\" -C HEAD; }; f"
+ # List contributors with number of commits
+ contributors = shortlog --summary --numbered
+
+ k = !gitk
+ visual = !gitk
+
+ ctags = "!sh -c '[ -f .git/hooks/ctags ] || git init; .git/hooks/ctags' git-ctags"
+ gtags = "!sh -c '[ -f .git/hooks/gtags ] || git init; .git/hooks/gtags' git-gtags"
+ cscope = "!sh -c '[ -f .git/hooks/cscope ] || git init; .git/hooks/cscope' git-cscope"
+
+[help]
+ autocorrect = 10
+[branch]
+ autosetupmerge = always
+ autosetuprebase = always
+[rebase]
+ autosquash = true
+ autostash = true
+[pull]
+ rebase = true
+[push]
+ default = simple
+[diff]
+ tool = vimdiff
+[difftool]
+ prompt = false
+[merge]
+ tool = vimdiff
+ conflictstyle = diff3
+[mergetool]
+ prompt = false
+[init]
+ templatedir = ~/.config/git/templates
+[core]
+ editor = vim
+ autocrlf = false
+[include]
+ path = ~/.config/git/config_local
--- /dev/null
+[core]
+ repositoryformatversion = 0
+ filemode = true
+ bare = false
+ logallrefupdates = true
+[branch "master"]
+ remote = origin
+ merge = refs/heads/master
+ rebase = true
--- /dev/null
+#!/bin/sh
+set -e
+PATH="/usr/local/bin:$PATH"
+dir="`git rev-parse --git-dir`"
+trap 'rm -f "$dir/$$.cscope.out"' EXIT INT TERM
+git ls-files |\
+ grep -E '\.(c(pp)?|h)$' |\
+ awk '{print "\""$0"\""}' |\
+ cscope -R -b -i - -f "$dir/$$.cscope.out"
+mv "$dir/$$.cscope.out" "$dir/cscope.out"
--- /dev/null
+#!/bin/sh
+set -e
+PATH="/usr/local/bin:$PATH"
+dir="`git rev-parse --git-dir`"
+trap 'rm -f "$dir/$$.tags"' EXIT INT TERM
+git ls-files | \
+ ctags --tag-relative -L - -f"$dir/$$.tags" --languages=-javascript,sql
+mv "$dir/$$.tags" "$dir/tags"
--- /dev/null
+#! /bin/sh
+set -e
+PATH="/usr/local/bin:$PATH"
+dir="`git rev-parse --git-dir`"
+trap 'rm -rf "$dir/$$.gtags/"' EXIT INT TERM
+mkdir "$dir/$$.gtags"
+git ls-files | \
+ gtags --file=- --skip-unreadable "$dir/$$.gtags"
+mv "$dir/$$.gtags"/* "$dir/.."
--- /dev/null
+#!/bin/sh
+.git/hooks/ctags >/dev/null 2>&1 &
+.git/hooks/gtags >/dev/null 2>&1 &
+.git/hooks/cscope >/dev/null 2>&1 &
+
+
+
--- /dev/null
+#!/bin/sh
+.git/hooks/ctags >/dev/null 2>&1 &
+.git/hooks/gtags >/dev/null 2>&1 &
+.git/hooks/cscope >/dev/null 2>&1 &
--- /dev/null
+#!/bin/sh
+.git/hooks/ctags >/dev/null 2>&1 &
+.git/hooks/gtags >/dev/null 2>&1 &
+.git/hooks/cscope >/dev/null 2>&1 &
--- /dev/null
+#!/bin/sh
+.git/hooks/ctags >/dev/null 2>&1 &
+.git/hooks/gtags >/dev/null 2>&1 &
+.git/hooks/cscope >/dev/null 2>&1 &
--- /dev/null
+#!/bin/sh
+case "$1" in
+ rebase) exec .git/hooks/post-merge ;;
+esac
+++ /dev/null
-#!/bin/sh
-set -e
-PATH="/usr/local/bin:$PATH"
-dir="`git rev-parse --git-dir`"
-trap 'rm -f "$dir/$$.cscope.out"' EXIT INT TERM
-git ls-files |\
- grep -E '\.(c(pp)?|h)$' |\
- awk '{print "\""$0"\""}' |\
- cscope -R -b -i - -f "$dir/$$.cscope.out"
-mv "$dir/$$.cscope.out" "$dir/cscope.out"
+++ /dev/null
-#!/bin/sh
-set -e
-PATH="/usr/local/bin:$PATH"
-dir="`git rev-parse --git-dir`"
-trap 'rm -f "$dir/$$.tags"' EXIT INT TERM
-git ls-files | \
- ctags --tag-relative -L - -f"$dir/$$.tags" --languages=-javascript,sql
-mv "$dir/$$.tags" "$dir/tags"
+++ /dev/null
-#! /bin/sh
-set -e
-PATH="/usr/local/bin:$PATH"
-dir="`git rev-parse --git-dir`"
-trap 'rm -rf "$dir/$$.gtags/"' EXIT INT TERM
-mkdir "$dir/$$.gtags"
-git ls-files | \
- gtags --file=- --skip-unreadable "$dir/$$.gtags"
-mv "$dir/$$.gtags"/* "$dir/.."
+++ /dev/null
-#!/bin/sh
-.git/hooks/ctags >/dev/null 2>&1 &
-.git/hooks/gtags >/dev/null 2>&1 &
-.git/hooks/cscope >/dev/null 2>&1 &
-
-
-
+++ /dev/null
-#!/bin/sh
-.git/hooks/ctags >/dev/null 2>&1 &
-.git/hooks/gtags >/dev/null 2>&1 &
-.git/hooks/cscope >/dev/null 2>&1 &
+++ /dev/null
-#!/bin/sh
-.git/hooks/ctags >/dev/null 2>&1 &
-.git/hooks/gtags >/dev/null 2>&1 &
-.git/hooks/cscope >/dev/null 2>&1 &
+++ /dev/null
-#!/bin/sh
-.git/hooks/ctags >/dev/null 2>&1 &
-.git/hooks/gtags >/dev/null 2>&1 &
-.git/hooks/cscope >/dev/null 2>&1 &
+++ /dev/null
-#!/bin/sh
-case "$1" in
- rebase) exec .git/hooks/post-merge ;;
-esac
+++ /dev/null
-# ~/.gitconfig
-
-[github]
- user = jannikz
-[alias]
- a = add
- una = reset HEAD --
- uha = checkout HEAD --
- aa = add -u
- unaa = reset HEAD
- uhaa = reset --hard HEAD
- br = branch
- brdm = "!git branch --merged | grep -v '\\*' | xargs -n 1 git branch -d"
- co = checkout
- go = "!f() { git checkout -b \"$1\" 2> /dev/null || git checkout \"$1\"; }; f"
- ci = commit -v
- unci = reset --soft HEAD~
- amend = commit --amend
- diff = diff --word-diff
- dt = difftool
- mt = mergetool
- # dont pull without rebase, and dont push without pull (fetch & merge)
- pu = pull --rebase
- pp = "!git pull --rebase && git push"
- # avoid merge commits
- mf = merge --ff-only
- cp = cherry-pick
- wc = whatchanged -p
- ch = cherry -v
- st = status -sb
- fs = "!git fetch && git status"
- rb = rebase
- ready = rebase -i @{u}
- rbi = "!r() { git rebase -i HEAD~$1; }; r"
- ec = config --global -e
- l = log --oneline --decorate --reverse
- lg = log --pretty=format:"%C(yellow)%h\\ %C(green)%ad%Cred%d\\ %Creset%s%Cblue\\ [%cn]" --decorate --date=short --graph
- tail = !"git lg -10 HEAD"
- last = log -1 HEAD
- ls = ls-files
- lt = tag -l
- type = cat-file -t
- dump = cat-file -p
- who = shortlog -s --
- remotes = remote -v
- root = rev-parse --show-toplevel
- cl = clone --recursive
-
- # Show the diff between the latest commit and the current state
- d = !"git diff-index --quiet HEAD -- || clear; git --no-pager diff --patch-with-stat"
- # `git di $number` shows the diff between the state `$number` revisions ago and the current state
- di = !"d() { git diff --patch-with-stat HEAD~$1; }; git diff-index --quiet HEAD -- || clear; d"
-
- # Find branches containing commit
- fb = "!f() { git branch -a --contains $1; }; f"
- # Find tags containing commit
- ft = "!f() { git describe --always --contains $1; }; f"
- # Find commits by source code
- fc = "!f() { git log --pretty=format:'%C(yellow)%h %Cblue%ad %Creset%s%Cgreen [%cn] %Cred%d' --decorate --date=short -S$1; }; f"
- # Find commits by commit message
- fm = "!f() { git log --pretty=format:'%C(yellow)%h %Cblue%ad %Creset%s%Cgreen [%cn] %Cred%d' --decorate --date=short --grep=$1; }; f"
-
-# Credit an author on the latest commit
- credit = "!f() { git commit --amend --author \"$1 <$2>\" -C HEAD; }; f"
- # List contributors with number of commits
- contributors = shortlog --summary --numbered
-
- k = !gitk
- visual = !gitk
-
- ctags = "!sh -c '[ -f .git/hooks/ctags ] || git init; .git/hooks/ctags' git-ctags"
- gtags = "!sh -c '[ -f .git/hooks/gtags ] || git init; .git/hooks/gtags' git-gtags"
- cscope = "!sh -c '[ -f .git/hooks/cscope ] || git init; .git/hooks/cscope' git-cscope"
-
-[help]
- autocorrect = 10
-[branch]
- autosetupmerge = always
- autosetuprebase = always
-[rebase]
- autosquash = true
- autostash = true
-[pull]
- rebase = true
-[push]
- default = simple
-[diff]
- tool = vimdiff
-[difftool]
- prompt = false
-[merge]
- tool = vimdiff
- conflictstyle = diff3
-[mergetool]
- prompt = false
-[init]
- templatedir = ~/.git_template
-[core]
- excludesfile = ~/.gitignore_global
- editor = vim
- autocrlf = false
-[include]
- path = ~/.gitconfig_local